MongoException
MongoCursorTimeoutException
Exceptions
PHP Manual

# La classe MongoCursorException

## Introduction

Émise lors d'un accès incorrect à un curseur ou lors de la réception d'une erreur au moment de la réponse.

Si une erreur est reçue au moment de la réponse, il y aura également un message d'erreur spécifique pour aider à analyser le problème :

- could not establish db connection

  La réponsr issue de la base de données n'a pu être reçue car une connexion avec la base de données n'a pu être établie.

- no db response

  Ceci n'est pas toujours une erreur, par exemple, la commande "shutdown" émise à la base de données ne retourne aucune réponse. Cependant, si vous attendez une réponse, cela signifie que la base de données n'a pas réussi à la fournir.

- bad response length: %d, max: %d, did the db assert?

  Ceci signifie que la base de données dit que sa réponse est plus grande que 4Mo ou bien, inférieure à 0. Générallement, un nombre plus grand que 5Mo doit être rapporté aux développeurs comme un bogue potentiel (la taille maximale de la réponse est 4Mo). Une réponse inférieure à 0 signifie générallement qu'une assertion est survenue sur la base de données.

- incomplete response

  Survient si la réponse de la base de données a commencé avec succès, mais s'est interrompue avant la fin.

- error getting database response: errstr

  WSA error getting database response: errstr

  "errstr" est une erreur IO, repporté directement depuis le socket C du sous-système. Sous Windows, le message d'erreur est préfixé par "WSA".

## Synopsis de la classe

MongoCursorException
extends MongoException {
}

MongoException
MongoCursorTimeoutException
Exceptions
PHP Manual